Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/28
Addresses2^100
/64 networks2^36
Network
ffc8:dd0::/28
First address
ffc8:dd0::
Last address
ffc8:ddf:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
1,267,650,600,228,229,401,496,703,205,376 (2^100)
/64 networks (LANs)
68,719,476,736 (2^36)
Full form
ffc8:0dd0:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
d.d.0.8.c.f.f.ip6.arpa
Split into smaller subnets/40

ffc8:dd0::/28 makes 4,096 subnets of /40; the first 256 are listed.

Subnets
#SubnetLast address
1ffc8:dd0::/40ffc8:dd0:ff:ffff:ffff:ffff:ffff:ffff
2ffc8:dd0:100::/40ffc8:dd0:1ff:ffff:ffff:ffff:ffff:ffff
3ffc8:dd0:200::/40ffc8:dd0:2ff:ffff:ffff:ffff:ffff:ffff
4ffc8:dd0:300::/40ffc8:dd0:3ff:ffff:ffff:ffff:ffff:ffff
5ffc8:dd0:400::/40ffc8:dd0:4ff:ffff:ffff:ffff:ffff:ffff
6ffc8:dd0:500::/40ffc8:dd0:5ff:ffff:ffff:ffff:ffff:ffff
7ffc8:dd0:600::/40ffc8:dd0:6ff:ffff:ffff:ffff:ffff:ffff
8ffc8:dd0:700::/40ffc8:dd0:7ff:ffff:ffff:ffff:ffff:ffff
9ffc8:dd0:800::/40ffc8:dd0:8ff:ffff:ffff:ffff:ffff:ffff
10ffc8:dd0:900::/40ffc8:dd0:9ff:ffff:ffff:ffff:ffff:ffff
11ffc8:dd0:a00::/40ffc8:dd0:aff:ffff:ffff:ffff:ffff:ffff
12ffc8:dd0:b00::/40ffc8:dd0:bff:ffff:ffff:ffff:ffff:ffff
13ffc8:dd0:c00::/40ffc8:dd0:cff:ffff:ffff:ffff:ffff:ffff
14ffc8:dd0:d00::/40ffc8:dd0:dff:ffff:ffff:ffff:ffff:ffff
15ffc8:dd0:e00::/40ffc8:dd0:eff:ffff:ffff:ffff:ffff:ffff
16ffc8:dd0:f00::/40ffc8:dd0:fff:ffff:ffff:ffff:ffff:ffff
17ffc8:dd0:1000::/40ffc8:dd0:10ff:ffff:ffff:ffff:ffff:ffff
18ffc8:dd0:1100::/40ffc8:dd0:11ff:ffff:ffff:ffff:ffff:ffff
19ffc8:dd0:1200::/40ffc8:dd0:12ff:ffff:ffff:ffff:ffff:ffff
20ffc8:dd0:1300::/40ffc8:dd0:13ff:ffff:ffff:ffff:ffff:ffff
21ffc8:dd0:1400::/40ffc8:dd0:14ff:ffff:ffff:ffff:ffff:ffff
22ffc8:dd0:1500::/40ffc8:dd0:15ff:ffff:ffff:ffff:ffff:ffff
23ffc8:dd0:1600::/40ffc8:dd0:16ff:ffff:ffff:ffff:ffff:ffff
24ffc8:dd0:1700::/40ffc8:dd0:17ff:ffff:ffff:ffff:ffff:ffff
25ffc8:dd0:1800::/40ffc8:dd0:18ff:ffff:ffff:ffff:ffff:ffff
26ffc8:dd0:1900::/40ffc8:dd0:19ff:ffff:ffff:ffff:ffff:ffff
27ffc8:dd0:1a00::/40ffc8:dd0:1aff:ffff:ffff:ffff:ffff:ffff
28ffc8:dd0:1b00::/40ffc8:dd0:1bff:ffff:ffff:ffff:ffff:ffff
29ffc8:dd0:1c00::/40ffc8:dd0:1cff:ffff:ffff:ffff:ffff:ffff
30ffc8:dd0:1d00::/40ffc8:dd0:1dff:ffff:ffff:ffff:ffff:ffff
31ffc8:dd0:1e00::/40ffc8:dd0:1eff:ffff:ffff:ffff:ffff:ffff
32ffc8:dd0:1f00::/40ffc8:dd0:1fff:ffff:ffff:ffff:ffff:ffff
33ffc8:dd0:2000::/40ffc8:dd0:20ff:ffff:ffff:ffff:ffff:ffff
34ffc8:dd0:2100::/40ffc8:dd0:21ff:ffff:ffff:ffff:ffff:ffff
35ffc8:dd0:2200::/40ffc8:dd0:22ff:ffff:ffff:ffff:ffff:ffff
36ffc8:dd0:2300::/40ffc8:dd0:23ff:ffff:ffff:ffff:ffff:ffff
37ffc8:dd0:2400::/40ffc8:dd0:24ff:ffff:ffff:ffff:ffff:ffff
38ffc8:dd0:2500::/40ffc8:dd0:25ff:ffff:ffff:ffff:ffff:ffff
39ffc8:dd0:2600::/40ffc8:dd0:26ff:ffff:ffff:ffff:ffff:ffff
40ffc8:dd0:2700::/40ffc8:dd0:27ff:ffff:ffff:ffff:ffff:ffff
41ffc8:dd0:2800::/40ffc8:dd0:28ff:ffff:ffff:ffff:ffff:ffff
42ffc8:dd0:2900::/40ffc8:dd0:29ff:ffff:ffff:ffff:ffff:ffff
43ffc8:dd0:2a00::/40ffc8:dd0:2aff:ffff:ffff:ffff:ffff:ffff
44ffc8:dd0:2b00::/40ffc8:dd0:2bff:ffff:ffff:ffff:ffff:ffff
45ffc8:dd0:2c00::/40ffc8:dd0:2cff:ffff:ffff:ffff:ffff:ffff
46ffc8:dd0:2d00::/40ffc8:dd0:2dff:ffff:ffff:ffff:ffff:ffff
47ffc8:dd0:2e00::/40ffc8:dd0:2eff:ffff:ffff:ffff:ffff:ffff
48ffc8:dd0:2f00::/40ffc8:dd0:2fff:ffff:ffff:ffff:ffff:ffff
49ffc8:dd0:3000::/40ffc8:dd0:30ff:ffff:ffff:ffff:ffff:ffff
50ffc8:dd0:3100::/40ffc8:dd0:31ff:ffff:ffff:ffff:ffff:ffff
51ffc8:dd0:3200::/40ffc8:dd0:32ff:ffff:ffff:ffff:ffff:ffff
52ffc8:dd0:3300::/40ffc8:dd0:33ff:ffff:ffff:ffff:ffff:ffff
53ffc8:dd0:3400::/40ffc8:dd0:34ff:ffff:ffff:ffff:ffff:ffff
54ffc8:dd0:3500::/40ffc8:dd0:35ff:ffff:ffff:ffff:ffff:ffff
55ffc8:dd0:3600::/40ffc8:dd0:36ff:ffff:ffff:ffff:ffff:ffff
56ffc8:dd0:3700::/40ffc8:dd0:37ff:ffff:ffff:ffff:ffff:ffff
57ffc8:dd0:3800::/40ffc8:dd0:38ff:ffff:ffff:ffff:ffff:ffff
58ffc8:dd0:3900::/40ffc8:dd0:39ff:ffff:ffff:ffff:ffff:ffff
59ffc8:dd0:3a00::/40ffc8:dd0:3aff:ffff:ffff:ffff:ffff:ffff
60ffc8:dd0:3b00::/40ffc8:dd0:3bff:ffff:ffff:ffff:ffff:ffff
61ffc8:dd0:3c00::/40ffc8:dd0:3cff:ffff:ffff:ffff:ffff:ffff
62ffc8:dd0:3d00::/40ffc8:dd0:3dff:ffff:ffff:ffff:ffff:ffff
63ffc8:dd0:3e00::/40ffc8:dd0:3eff:ffff:ffff:ffff:ffff:ffff
64ffc8:dd0:3f00::/40ffc8:dd0:3fff:ffff:ffff:ffff:ffff:ffff
65ffc8:dd0:4000::/40ffc8:dd0:40ff:ffff:ffff:ffff:ffff:ffff
66ffc8:dd0:4100::/40ffc8:dd0:41ff:ffff:ffff:ffff:ffff:ffff
67ffc8:dd0:4200::/40ffc8:dd0:42ff:ffff:ffff:ffff:ffff:ffff
68ffc8:dd0:4300::/40ffc8:dd0:43ff:ffff:ffff:ffff:ffff:ffff
69ffc8:dd0:4400::/40ffc8:dd0:44ff:ffff:ffff:ffff:ffff:ffff
70ffc8:dd0:4500::/40ffc8:dd0:45ff:ffff:ffff:ffff:ffff:ffff
71ffc8:dd0:4600::/40ffc8:dd0:46ff:ffff:ffff:ffff:ffff:ffff
72ffc8:dd0:4700::/40ffc8:dd0:47ff:ffff:ffff:ffff:ffff:ffff
73ffc8:dd0:4800::/40ffc8:dd0:48ff:ffff:ffff:ffff:ffff:ffff
74ffc8:dd0:4900::/40ffc8:dd0:49ff:ffff:ffff:ffff:ffff:ffff
75ffc8:dd0:4a00::/40ffc8:dd0:4aff:ffff:ffff:ffff:ffff:ffff
76ffc8:dd0:4b00::/40ffc8:dd0:4bff:ffff:ffff:ffff:ffff:ffff
77ffc8:dd0:4c00::/40ffc8:dd0:4cff:ffff:ffff:ffff:ffff:ffff
78ffc8:dd0:4d00::/40ffc8:dd0:4dff:ffff:ffff:ffff:ffff:ffff
79ffc8:dd0:4e00::/40ffc8:dd0:4eff:ffff:ffff:ffff:ffff:ffff
80ffc8:dd0:4f00::/40ffc8:dd0:4fff:ffff:ffff:ffff:ffff:ffff
81ffc8:dd0:5000::/40ffc8:dd0:50ff:ffff:ffff:ffff:ffff:ffff
82ffc8:dd0:5100::/40ffc8:dd0:51ff:ffff:ffff:ffff:ffff:ffff
83ffc8:dd0:5200::/40ffc8:dd0:52ff:ffff:ffff:ffff:ffff:ffff
84ffc8:dd0:5300::/40ffc8:dd0:53ff:ffff:ffff:ffff:ffff:ffff
85ffc8:dd0:5400::/40ffc8:dd0:54ff:ffff:ffff:ffff:ffff:ffff
86ffc8:dd0:5500::/40ffc8:dd0:55ff:ffff:ffff:ffff:ffff:ffff
87ffc8:dd0:5600::/40ffc8:dd0:56ff:ffff:ffff:ffff:ffff:ffff
88ffc8:dd0:5700::/40ffc8:dd0:57ff:ffff:ffff:ffff:ffff:ffff
89ffc8:dd0:5800::/40ffc8:dd0:58ff:ffff:ffff:ffff:ffff:ffff
90ffc8:dd0:5900::/40ffc8:dd0:59ff:ffff:ffff:ffff:ffff:ffff
91ffc8:dd0:5a00::/40ffc8:dd0:5aff:ffff:ffff:ffff:ffff:ffff
92ffc8:dd0:5b00::/40ffc8:dd0:5bff:ffff:ffff:ffff:ffff:ffff
93ffc8:dd0:5c00::/40ffc8:dd0:5cff:ffff:ffff:ffff:ffff:ffff
94ffc8:dd0:5d00::/40ffc8:dd0:5dff:ffff:ffff:ffff:ffff:ffff
95ffc8:dd0:5e00::/40ffc8:dd0:5eff:ffff:ffff:ffff:ffff:ffff
96ffc8:dd0:5f00::/40ffc8:dd0:5fff:ffff:ffff:ffff:ffff:ffff
97ffc8:dd0:6000::/40ffc8:dd0:60ff:ffff:ffff:ffff:ffff:ffff
98ffc8:dd0:6100::/40ffc8:dd0:61ff:ffff:ffff:ffff:ffff:ffff
99ffc8:dd0:6200::/40ffc8:dd0:62ff:ffff:ffff:ffff:ffff:ffff
100ffc8:dd0:6300::/40ffc8:dd0:63ff:ffff:ffff:ffff:ffff:ffff
101ffc8:dd0:6400::/40ffc8:dd0:64ff:ffff:ffff:ffff:ffff:ffff
102ffc8:dd0:6500::/40ffc8:dd0:65ff:ffff:ffff:ffff:ffff:ffff
103ffc8:dd0:6600::/40ffc8:dd0:66ff:ffff:ffff:ffff:ffff:ffff
104ffc8:dd0:6700::/40ffc8:dd0:67ff:ffff:ffff:ffff:ffff:ffff
105ffc8:dd0:6800::/40ffc8:dd0:68ff:ffff:ffff:ffff:ffff:ffff
106ffc8:dd0:6900::/40ffc8:dd0:69ff:ffff:ffff:ffff:ffff:ffff
107ffc8:dd0:6a00::/40ffc8:dd0:6aff:ffff:ffff:ffff:ffff:ffff
108ffc8:dd0:6b00::/40ffc8:dd0:6bff:ffff:ffff:ffff:ffff:ffff
109ffc8:dd0:6c00::/40ffc8:dd0:6cff:ffff:ffff:ffff:ffff:ffff
110ffc8:dd0:6d00::/40ffc8:dd0:6dff:ffff:ffff:ffff:ffff:ffff
111ffc8:dd0:6e00::/40ffc8:dd0:6eff:ffff:ffff:ffff:ffff:ffff
112ffc8:dd0:6f00::/40ffc8:dd0:6fff:ffff:ffff:ffff:ffff:ffff
113ffc8:dd0:7000::/40ffc8:dd0:70ff:ffff:ffff:ffff:ffff:ffff
114ffc8:dd0:7100::/40ffc8:dd0:71ff:ffff:ffff:ffff:ffff:ffff
115ffc8:dd0:7200::/40ffc8:dd0:72ff:ffff:ffff:ffff:ffff:ffff
116ffc8:dd0:7300::/40ffc8:dd0:73ff:ffff:ffff:ffff:ffff:ffff
117ffc8:dd0:7400::/40ffc8:dd0:74ff:ffff:ffff:ffff:ffff:ffff
118ffc8:dd0:7500::/40ffc8:dd0:75ff:ffff:ffff:ffff:ffff:ffff
119ffc8:dd0:7600::/40ffc8:dd0:76ff:ffff:ffff:ffff:ffff:ffff
120ffc8:dd0:7700::/40ffc8:dd0:77ff:ffff:ffff:ffff:ffff:ffff
121ffc8:dd0:7800::/40ffc8:dd0:78ff:ffff:ffff:ffff:ffff:ffff
122ffc8:dd0:7900::/40ffc8:dd0:79ff:ffff:ffff:ffff:ffff:ffff
123ffc8:dd0:7a00::/40ffc8:dd0:7aff:ffff:ffff:ffff:ffff:ffff
124ffc8:dd0:7b00::/40ffc8:dd0:7bff:ffff:ffff:ffff:ffff:ffff
125ffc8:dd0:7c00::/40ffc8:dd0:7cff:ffff:ffff:ffff:ffff:ffff
126ffc8:dd0:7d00::/40ffc8:dd0:7dff:ffff:ffff:ffff:ffff:ffff
127ffc8:dd0:7e00::/40ffc8:dd0:7eff:ffff:ffff:ffff:ffff:ffff
128ffc8:dd0:7f00::/40ffc8:dd0:7fff:ffff:ffff:ffff:ffff:ffff
129ffc8:dd0:8000::/40ffc8:dd0:80ff:ffff:ffff:ffff:ffff:ffff
130ffc8:dd0:8100::/40ffc8:dd0:81ff:ffff:ffff:ffff:ffff:ffff
131ffc8:dd0:8200::/40ffc8:dd0:82ff:ffff:ffff:ffff:ffff:ffff
132ffc8:dd0:8300::/40ffc8:dd0:83ff:ffff:ffff:ffff:ffff:ffff
133ffc8:dd0:8400::/40ffc8:dd0:84ff:ffff:ffff:ffff:ffff:ffff
134ffc8:dd0:8500::/40ffc8:dd0:85ff:ffff:ffff:ffff:ffff:ffff
135ffc8:dd0:8600::/40ffc8:dd0:86ff:ffff:ffff:ffff:ffff:ffff
136ffc8:dd0:8700::/40ffc8:dd0:87ff:ffff:ffff:ffff:ffff:ffff
137ffc8:dd0:8800::/40ffc8:dd0:88ff:ffff:ffff:ffff:ffff:ffff
138ffc8:dd0:8900::/40ffc8:dd0:89ff:ffff:ffff:ffff:ffff:ffff
139ffc8:dd0:8a00::/40ffc8:dd0:8aff:ffff:ffff:ffff:ffff:ffff
140ffc8:dd0:8b00::/40ffc8:dd0:8bff:ffff:ffff:ffff:ffff:ffff
141ffc8:dd0:8c00::/40ffc8:dd0:8cff:ffff:ffff:ffff:ffff:ffff
142ffc8:dd0:8d00::/40ffc8:dd0:8dff:ffff:ffff:ffff:ffff:ffff
143ffc8:dd0:8e00::/40ffc8:dd0:8eff:ffff:ffff:ffff:ffff:ffff
144ffc8:dd0:8f00::/40ffc8:dd0:8fff:ffff:ffff:ffff:ffff:ffff
145ffc8:dd0:9000::/40ffc8:dd0:90ff:ffff:ffff:ffff:ffff:ffff
146ffc8:dd0:9100::/40ffc8:dd0:91ff:ffff:ffff:ffff:ffff:ffff
147ffc8:dd0:9200::/40ffc8:dd0:92ff:ffff:ffff:ffff:ffff:ffff
148ffc8:dd0:9300::/40ffc8:dd0:93ff:ffff:ffff:ffff:ffff:ffff
149ffc8:dd0:9400::/40ffc8:dd0:94ff:ffff:ffff:ffff:ffff:ffff
150ffc8:dd0:9500::/40ffc8:dd0:95ff:ffff:ffff:ffff:ffff:ffff
151ffc8:dd0:9600::/40ffc8:dd0:96ff:ffff:ffff:ffff:ffff:ffff
152ffc8:dd0:9700::/40ffc8:dd0:97ff:ffff:ffff:ffff:ffff:ffff
153ffc8:dd0:9800::/40ffc8:dd0:98ff:ffff:ffff:ffff:ffff:ffff
154ffc8:dd0:9900::/40ffc8:dd0:99ff:ffff:ffff:ffff:ffff:ffff
155ffc8:dd0:9a00::/40ffc8:dd0:9aff:ffff:ffff:ffff:ffff:ffff
156ffc8:dd0:9b00::/40ffc8:dd0:9bff:ffff:ffff:ffff:ffff:ffff
157ffc8:dd0:9c00::/40ffc8:dd0:9cff:ffff:ffff:ffff:ffff:ffff
158ffc8:dd0:9d00::/40ffc8:dd0:9dff:ffff:ffff:ffff:ffff:ffff
159ffc8:dd0:9e00::/40ffc8:dd0:9eff:ffff:ffff:ffff:ffff:ffff
160ffc8:dd0:9f00::/40ffc8:dd0:9fff:ffff:ffff:ffff:ffff:ffff
161ffc8:dd0:a000::/40ffc8:dd0:a0ff:ffff:ffff:ffff:ffff:ffff
162ffc8:dd0:a100::/40ffc8:dd0:a1ff:ffff:ffff:ffff:ffff:ffff
163ffc8:dd0:a200::/40ffc8:dd0:a2ff:ffff:ffff:ffff:ffff:ffff
164ffc8:dd0:a300::/40ffc8:dd0:a3ff:ffff:ffff:ffff:ffff:ffff
165ffc8:dd0:a400::/40ffc8:dd0:a4ff:ffff:ffff:ffff:ffff:ffff
166ffc8:dd0:a500::/40ffc8:dd0:a5ff:ffff:ffff:ffff:ffff:ffff
167ffc8:dd0:a600::/40ffc8:dd0:a6ff:ffff:ffff:ffff:ffff:ffff
168ffc8:dd0:a700::/40ffc8:dd0:a7ff:ffff:ffff:ffff:ffff:ffff
169ffc8:dd0:a800::/40ffc8:dd0:a8ff:ffff:ffff:ffff:ffff:ffff
170ffc8:dd0:a900::/40ffc8:dd0:a9ff:ffff:ffff:ffff:ffff:ffff
171ffc8:dd0:aa00::/40ffc8:dd0:aaff:ffff:ffff:ffff:ffff:ffff
172ffc8:dd0:ab00::/40ffc8:dd0:abff:ffff:ffff:ffff:ffff:ffff
173ffc8:dd0:ac00::/40ffc8:dd0:acff:ffff:ffff:ffff:ffff:ffff
174ffc8:dd0:ad00::/40ffc8:dd0:adff:ffff:ffff:ffff:ffff:ffff
175ffc8:dd0:ae00::/40ffc8:dd0:aeff:ffff:ffff:ffff:ffff:ffff
176ffc8:dd0:af00::/40ffc8:dd0:afff:ffff:ffff:ffff:ffff:ffff
177ffc8:dd0:b000::/40ffc8:dd0:b0ff:ffff:ffff:ffff:ffff:ffff
178ffc8:dd0:b100::/40ffc8:dd0:b1ff:ffff:ffff:ffff:ffff:ffff
179ffc8:dd0:b200::/40ffc8:dd0:b2ff:ffff:ffff:ffff:ffff:ffff
180ffc8:dd0:b300::/40ffc8:dd0:b3ff:ffff:ffff:ffff:ffff:ffff
181ffc8:dd0:b400::/40ffc8:dd0:b4ff:ffff:ffff:ffff:ffff:ffff
182ffc8:dd0:b500::/40ffc8:dd0:b5ff:ffff:ffff:ffff:ffff:ffff
183ffc8:dd0:b600::/40ffc8:dd0:b6ff:ffff:ffff:ffff:ffff:ffff
184ffc8:dd0:b700::/40ffc8:dd0:b7ff:ffff:ffff:ffff:ffff:ffff
185ffc8:dd0:b800::/40ffc8:dd0:b8ff:ffff:ffff:ffff:ffff:ffff
186ffc8:dd0:b900::/40ffc8:dd0:b9ff:ffff:ffff:ffff:ffff:ffff
187ffc8:dd0:ba00::/40ffc8:dd0:baff:ffff:ffff:ffff:ffff:ffff
188ffc8:dd0:bb00::/40ffc8:dd0:bbff:ffff:ffff:ffff:ffff:ffff
189ffc8:dd0:bc00::/40ffc8:dd0:bcff:ffff:ffff:ffff:ffff:ffff
190ffc8:dd0:bd00::/40ffc8:dd0:bdff:ffff:ffff:ffff:ffff:ffff
191ffc8:dd0:be00::/40ffc8:dd0:beff:ffff:ffff:ffff:ffff:ffff
192ffc8:dd0:bf00::/40ffc8:dd0:bfff:ffff:ffff:ffff:ffff:ffff
193ffc8:dd0:c000::/40ffc8:dd0:c0ff:ffff:ffff:ffff:ffff:ffff
194ffc8:dd0:c100::/40ffc8:dd0:c1ff:ffff:ffff:ffff:ffff:ffff
195ffc8:dd0:c200::/40ffc8:dd0:c2ff:ffff:ffff:ffff:ffff:ffff
196ffc8:dd0:c300::/40ffc8:dd0:c3ff:ffff:ffff:ffff:ffff:ffff
197ffc8:dd0:c400::/40ffc8:dd0:c4ff:ffff:ffff:ffff:ffff:ffff
198ffc8:dd0:c500::/40ffc8:dd0:c5ff:ffff:ffff:ffff:ffff:ffff
199ffc8:dd0:c600::/40ffc8:dd0:c6ff:ffff:ffff:ffff:ffff:ffff
200ffc8:dd0:c700::/40ffc8:dd0:c7ff:ffff:ffff:ffff:ffff:ffff
201ffc8:dd0:c800::/40ffc8:dd0:c8ff:ffff:ffff:ffff:ffff:ffff
202ffc8:dd0:c900::/40ffc8:dd0:c9ff:ffff:ffff:ffff:ffff:ffff
203ffc8:dd0:ca00::/40ffc8:dd0:caff:ffff:ffff:ffff:ffff:ffff
204ffc8:dd0:cb00::/40ffc8:dd0:cbff:ffff:ffff:ffff:ffff:ffff
205ffc8:dd0:cc00::/40ffc8:dd0:ccff:ffff:ffff:ffff:ffff:ffff
206ffc8:dd0:cd00::/40ffc8:dd0:cdff:ffff:ffff:ffff:ffff:ffff
207ffc8:dd0:ce00::/40ffc8:dd0:ceff:ffff:ffff:ffff:ffff:ffff
208ffc8:dd0:cf00::/40ffc8:dd0:cfff:ffff:ffff:ffff:ffff:ffff
209ffc8:dd0:d000::/40ffc8:dd0:d0ff:ffff:ffff:ffff:ffff:ffff
210ffc8:dd0:d100::/40ffc8:dd0:d1ff:ffff:ffff:ffff:ffff:ffff
211ffc8:dd0:d200::/40ffc8:dd0:d2ff:ffff:ffff:ffff:ffff:ffff
212ffc8:dd0:d300::/40ffc8:dd0:d3ff:ffff:ffff:ffff:ffff:ffff
213ffc8:dd0:d400::/40ffc8:dd0:d4ff:ffff:ffff:ffff:ffff:ffff
214ffc8:dd0:d500::/40ffc8:dd0:d5ff:ffff:ffff:ffff:ffff:ffff
215ffc8:dd0:d600::/40ffc8:dd0:d6ff:ffff:ffff:ffff:ffff:ffff
216ffc8:dd0:d700::/40ffc8:dd0:d7ff:ffff:ffff:ffff:ffff:ffff
217ffc8:dd0:d800::/40ffc8:dd0:d8ff:ffff:ffff:ffff:ffff:ffff
218ffc8:dd0:d900::/40ffc8:dd0:d9ff:ffff:ffff:ffff:ffff:ffff
219ffc8:dd0:da00::/40ffc8:dd0:daff:ffff:ffff:ffff:ffff:ffff
220ffc8:dd0:db00::/40ffc8:dd0:dbff:ffff:ffff:ffff:ffff:ffff
221ffc8:dd0:dc00::/40ffc8:dd0:dcff:ffff:ffff:ffff:ffff:ffff
222ffc8:dd0:dd00::/40ffc8:dd0:ddff:ffff:ffff:ffff:ffff:ffff
223ffc8:dd0:de00::/40ffc8:dd0:deff:ffff:ffff:ffff:ffff:ffff
224ffc8:dd0:df00::/40ffc8:dd0:dfff:ffff:ffff:ffff:ffff:ffff
225ffc8:dd0:e000::/40ffc8:dd0:e0ff:ffff:ffff:ffff:ffff:ffff
226ffc8:dd0:e100::/40ffc8:dd0:e1ff:ffff:ffff:ffff:ffff:ffff
227ffc8:dd0:e200::/40ffc8:dd0:e2ff:ffff:ffff:ffff:ffff:ffff
228ffc8:dd0:e300::/40ffc8:dd0:e3ff:ffff:ffff:ffff:ffff:ffff
229ffc8:dd0:e400::/40ffc8:dd0:e4ff:ffff:ffff:ffff:ffff:ffff
230ffc8:dd0:e500::/40ffc8:dd0:e5ff:ffff:ffff:ffff:ffff:ffff
231ffc8:dd0:e600::/40ffc8:dd0:e6ff:ffff:ffff:ffff:ffff:ffff
232ffc8:dd0:e700::/40ffc8:dd0:e7ff:ffff:ffff:ffff:ffff:ffff
233ffc8:dd0:e800::/40ffc8:dd0:e8ff:ffff:ffff:ffff:ffff:ffff
234ffc8:dd0:e900::/40ffc8:dd0:e9ff:ffff:ffff:ffff:ffff:ffff
235ffc8:dd0:ea00::/40ffc8:dd0:eaff:ffff:ffff:ffff:ffff:ffff
236ffc8:dd0:eb00::/40ffc8:dd0:ebff:ffff:ffff:ffff:ffff:ffff
237ffc8:dd0:ec00::/40ffc8:dd0:ecff:ffff:ffff:ffff:ffff:ffff
238ffc8:dd0:ed00::/40ffc8:dd0:edff:ffff:ffff:ffff:ffff:ffff
239ffc8:dd0:ee00::/40ffc8:dd0:eeff:ffff:ffff:ffff:ffff:ffff
240ffc8:dd0:ef00::/40ffc8:dd0:efff:ffff:ffff:ffff:ffff:ffff
241ffc8:dd0:f000::/40ffc8:dd0:f0ff:ffff:ffff:ffff:ffff:ffff
242ffc8:dd0:f100::/40ffc8:dd0:f1ff:ffff:ffff:ffff:ffff:ffff
243ffc8:dd0:f200::/40ffc8:dd0:f2ff:ffff:ffff:ffff:ffff:ffff
244ffc8:dd0:f300::/40ffc8:dd0:f3ff:ffff:ffff:ffff:ffff:ffff
245ffc8:dd0:f400::/40ffc8:dd0:f4ff:ffff:ffff:ffff:ffff:ffff
246ffc8:dd0:f500::/40ffc8:dd0:f5ff:ffff:ffff:ffff:ffff:ffff
247ffc8:dd0:f600::/40ffc8:dd0:f6ff:ffff:ffff:ffff:ffff:ffff
248ffc8:dd0:f700::/40ffc8:dd0:f7ff:ffff:ffff:ffff:ffff:ffff
249ffc8:dd0:f800::/40ffc8:dd0:f8ff:ffff:ffff:ffff:ffff:ffff
250ffc8:dd0:f900::/40ffc8:dd0:f9ff:ffff:ffff:ffff:ffff:ffff
251ffc8:dd0:fa00::/40ffc8:dd0:faff:ffff:ffff:ffff:ffff:ffff
252ffc8:dd0:fb00::/40ffc8:dd0:fbff:ffff:ffff:ffff:ffff:ffff
253ffc8:dd0:fc00::/40ffc8:dd0:fcff:ffff:ffff:ffff:ffff:ffff
254ffc8:dd0:fd00::/40ffc8:dd0:fdff:ffff:ffff:ffff:ffff:ffff
255ffc8:dd0:fe00::/40ffc8:dd0:feff:ffff:ffff:ffff:ffff:ffff
256ffc8:dd0:ff00::/40ffc8:dd0:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses